Summary: Ceph Pacific packages from the CentOS Storage SIG repository
Name: centos-release-ceph-pacific
Version: 1.0
Release: 2%{?dist}
License: GPLv2
URL: http://wiki.centos.org/SpecialInterestGroup/Storage
Source0: CentOS-Ceph-Pacific.repo
%if 0%{?centos} >= 8
BuildRequires: systemd
%endif
BuildArch: noarch

%if 0%{?centos} >= 8
# $contentdir for altarch support was added with CentOS-8.5
Requires: centos-release >= 8-0.1905.el8
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd
%endif
# This provides the public key to verify the RPMs
Requires: centos-release-storage-common

Provides: centos-release-ceph = 15

%description
yum configuration for Ceph Pacific packages from the CentOS Storage SIG.

%install
install -D -m 644 %{SOURCE0} %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo
%if 0%{?centos} < 7
sed -i 's/i\$contentdir/centos/g' %{buildroot}%{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo
%endif

%if 0%{?centos} >= 7
%post
%systemd_post

%preun
%systemd_preun

%postun
%systemd_postun
%endif

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/yum.repos.d/CentOS-Ceph-Pacific.repo

%changelog
* Mon Jun 21 2021 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-2
- c8stream

* Thu May 14 2020 Kaleb S. KEITHLEY <kkeithle[at]redhat.com> - 1.0-1
- initial checkin in git.centos.org ex github

